tigase.jaxmpp.core.client

## Interface JaxmppCore.LoggedOutHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    ChatStateExtension
  Enclosing class:
    JaxmppCore

      public static interface JaxmppCore.LoggedOutHandler
      extends EventHandler

  Implemented by handlers of LoggedOutEvent.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `JaxmppCore.LoggedOutHandler.LoggedOutEvent` Fired when jaxmpp is disconnected.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onLoggedOut(SessionObject sessionObject)` Called when LoggedOutEvent is fired.

- - ### Method Detail

    - #### onLoggedOut

          void onLoggedOut(SessionObject sessionObject)

      Called when LoggedOutEvent is fired.
      Parameters:
        `sessionObject` - session object related to connection.

Copyright © 2006–2020 Tigase. All rights reserved.